package org.springblade.modules.application.history.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.application.history.excel.ApplicationHistoryExcel;
import org.springblade.modules.application.history.pojo.entity.ApplicationHistoryEntity;
import org.springblade.modules.application.history.pojo.vo.ApplicationHistoryVO;

import java.util.List;

/**
 * 应用历史 Mapper 接口
 *
 * @author BladeX
 * @since 2024-10-15
 */
public interface ApplicationHistoryMapper extends BaseMapper<ApplicationHistoryEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param history
	 * @return
	 */
	List<ApplicationHistoryVO> selectHistoryPage(IPage page, ApplicationHistoryVO history);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<ApplicationHistoryExcel> exportHistory(@Param("ew") Wrapper<ApplicationHistoryEntity> queryWrapper);

}
