package org.springblade.modules.application.history.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 应用历史 实体类
 *
 * @author BladeX
 * @since 2024-10-15
 */
@Data
@TableName("application_history")
@Schema(description = "application_history对象")
@EqualsAndHashCode(callSuper = true)
public class ApplicationHistoryEntity extends BaseEntity {

	/**
	 * 应用名称
	 */
	@Schema(description = "应用名称")
	private String name;
	/**
	 * 应用图标
	 */
	@Schema(description = "应用图标")
	private String icon;
	/**
	 * 网络类型 1=互联网 2=公安网
	 */
	@Schema(description = "网络类型 1=互联网 2=公安网")
	private Integer wlType;
	/**
	 * 应用类型 1=apk 2=小程序
	 */
	@Schema(description = "应用类型 1=apk 2=小程序")
	private Integer yyType;
	/**
	 * 应用地址
	 */
	@Schema(description = "应用地址")
	private String link;
	/**
	 * 版本代码
	 */
	@Schema(description = "版本代码")
	private Integer versionCode;
	/**
	 * 版本信息
	 */
	@Schema(description = "版本信息")
	private String versionName;
	/**
	 * 本次更新内容
	 */
	@Schema(description = "本次更新内容")
	private String versionDescription;
	/**
	 * 包名
	 */
	@Schema(description = "包名")
	private String packageName;
	/**
	 * md5
	 */
	@Schema(description = "md5")
	private String md5Value;
	/**
	 * 启动路径
	 */
	@Schema(description = "启动路径")
	private String qdlj;
	/**
	 * 统一接口地址
	 */
	@Schema(description = "统一接口地址")
	private String jkdz;
}
