package org.springblade.modules.application.history.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.application.history.excel.ApplicationHistoryExcel;
import org.springblade.modules.application.history.pojo.entity.ApplicationHistoryEntity;
import org.springblade.modules.application.history.pojo.vo.ApplicationHistoryVO;

import java.util.List;

/**
 * 应用历史 服务类
 *
 * @author BladeX
 * @since 2024-10-15
 */
public interface IApplicationHistoryService extends BaseService<ApplicationHistoryEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param history
	 * @return
	 */
	IPage<ApplicationHistoryVO> selectHistoryPage(IPage<ApplicationHistoryVO> page, ApplicationHistoryVO history);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<ApplicationHistoryExcel> exportHistory(Wrapper<ApplicationHistoryEntity> queryWrapper);

}
