package org.springblade.modules.application.info.excel;

import lombok.Data;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;
import java.io.Serial;

/**
 * 应用列表 Excel实体类
 *
 * @author BladeX
 * @since 2024-10-15
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class ApplicationInfoExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 是否已删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已删除")
	private Integer isDeleted;
	/**
	 * 应用名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("应用名称")
	private String name;
	/**
	 * 应用图标
	 */
	@ColumnWidth(20)
	@ExcelProperty("应用图标")
	private String icon;
	/**
	 * 应用类型 1=互联网 2=公安网
	 */
	@ColumnWidth(20)
	@ExcelProperty("应用类型 1=互联网 2=公安网")
	private Integer type;
	/**
	 * 应用地址
	 */
	@ColumnWidth(20)
	@ExcelProperty("应用地址")
	private String link;
	/**
	 * 版本代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("版本代码")
	private Integer versionCode;
	/**
	 * 版本信息
	 */
	@ColumnWidth(20)
	@ExcelProperty("版本信息")
	private String versionName;
	/**
	 * 本次更新内容
	 */
	@ColumnWidth(20)
	@ExcelProperty("本次更新内容")
	private String versionDescription;
	/**
	 * 包名
	 */
	@ColumnWidth(20)
	@ExcelProperty("包名")
	private String packageName;
	/**
	 * md5
	 */
	@ColumnWidth(20)
	@ExcelProperty("md5")
	private String md5Value;
	/**
	 * 启动路径
	 */
	@ColumnWidth(20)
	@ExcelProperty("启动路径")
	private String qdlj;

}
