package org.springblade.modules.application.info.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.application.info.excel.ApplicationInfoExcel;
import org.springblade.modules.application.info.pojo.entity.ApplicationInfoEntity;
import org.springblade.modules.application.info.pojo.vo.ApplicationInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 应用列表 Mapper 接口
 *
 * @author BladeX
 * @since 2024-10-15
 */
public interface ApplicationInfoMapper extends BaseMapper<ApplicationInfoEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param params
	 * @return
	 */
	List<ApplicationInfoVO> selectInfoPage(IPage page, @Param("params") Map<String, Object> params);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<ApplicationInfoExcel> exportInfo(@Param("ew") Wrapper<ApplicationInfoEntity> queryWrapper);

}
