package org.springblade.modules.application.info.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.application.info.excel.ApplicationInfoExcel;
import org.springblade.modules.application.info.pojo.entity.ApplicationInfoEntity;
import org.springblade.modules.application.info.pojo.vo.ApplicationInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 应用列表 服务类
 *
 * @author BladeX
 * @since 2024-10-15
 */
public interface IApplicationInfoService extends BaseService<ApplicationInfoEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param params
	 * @return
	 */
	IPage<ApplicationInfoVO> selectInfoPage(IPage<ApplicationInfoVO> page, Map<String, Object> params);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<ApplicationInfoExcel> exportInfo(Wrapper<ApplicationInfoEntity> queryWrapper);

}
