package org.springblade.modules.log.excel;

import lombok.Data;

import java.io.Serializable;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;

import java.io.Serial;

/**
 * 应用商店日志 Excel实体类
 *
 * @author BladeX
 * @since 2024-10-30
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class LogYysdExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 请求参数
	 */
	@ColumnWidth(20)
	@ExcelProperty("请求参数")
	private String requestParams;
	/**
	 * 相应结果
	 */
	@ColumnWidth(20)
	@ExcelProperty("相应结果")
	private String responseBody;

}
