package org.springblade.modules.log.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.log.excel.LogYysdExcel;
import org.springblade.modules.log.pojo.entity.LogYysdEntity;
import org.springblade.modules.log.pojo.vo.LogYysdVO;

import java.util.List;

/**
 * 应用商店日志 Mapper 接口
 *
 * @author BladeX
 * @since 2024-10-30
 */
public interface LogYysdMapper extends BaseMapper<LogYysdEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param logYysd 查询参数
	 * @return List<LogYysdVO>
	 */
	List<LogYysdVO> selectLogYysdPage(IPage page, LogYysdVO logYysd);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<LogYysdExcel>
	 */
	List<LogYysdExcel> exportLogYysd(@Param("ew") Wrapper<LogYysdEntity> queryWrapper);

}
