package org.springblade.modules.log.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.log.excel.LogYysdExcel;
import org.springblade.modules.log.pojo.entity.LogYysdEntity;
import org.springblade.modules.log.pojo.vo.LogYysdVO;

import java.util.List;

/**
 * 应用商店日志 服务类
 *
 * @author BladeX
 * @since 2024-10-30
 */
public interface ILogYysdService extends BaseService<LogYysdEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param logYysd 查询参数
	 * @return IPage<LogYysdVO>
	 */
	IPage<LogYysdVO> selectLogYysdPage(IPage<LogYysdVO> page, LogYysdVO logYysd);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<LogYysdExcel>
	 */
	List<LogYysdExcel> exportLogYysd(Wrapper<LogYysdEntity> queryWrapper);

}
