package org.springblade.modules.log.service.impl;

import org.springblade.modules.log.excel.LogYysdExcel;
import org.springblade.modules.log.mapper.LogYysdMapper;
import org.springblade.modules.log.pojo.entity.LogYysdEntity;
import org.springblade.modules.log.pojo.vo.LogYysdVO;
import org.springblade.modules.log.service.ILogYysdService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 应用商店日志 服务实现类
 *
 * @author BladeX
 * @since 2024-10-30
 */
@Service
public class LogYysdServiceImpl extends BaseServiceImpl<LogYysdMapper, LogYysdEntity> implements ILogYysdService {

	@Override
	public IPage<LogYysdVO> selectLogYysdPage(IPage<LogYysdVO> page, LogYysdVO logYysd) {
		return page.setRecords(baseMapper.selectLogYysdPage(page, logYysd));
	}

	@Override
	public List<LogYysdExcel> exportLogYysd(Wrapper<LogYysdEntity> queryWrapper) {
		List<LogYysdExcel> logYysdList = baseMapper.exportLogYysd(queryWrapper);
		//logYysdList.forEach(logYysd -> {
		//	logYysd.setTypeName(DictCache.getValue(DictEnum.YES_NO, LogYysdEntity.getType()));
		//});
		return logYysdList;
	}

}
